ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.82 by root, Fri Jan 20 16:02:20 2006 UTC vs.
Revision 1.83 by root, Sat Jan 21 18:34:25 2006 UTC

3310if test -z "$orig_CXXFLAGS"; then 3310if test -z "$orig_CXXFLAGS"; then
3311 if test x$GCC = xyes && test "x$GXX" = xyes; then 3311 if test x$GCC = xyes && test "x$GXX" = xyes; then
3312 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs" 3312 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs"
3313 3313
3314cat >conftest.$ac_ext <<_ACEOF 3314cat >conftest.$ac_ext <<_ACEOF
3315int i; 3315/* confdefs.h. */
3316_ACEOF
3317cat confdefs.h >>conftest.$ac_ext
3318cat >>conftest.$ac_ext <<_ACEOF
3319/* end confdefs.h. */
3320
3321int
3322main ()
3323{
3324
3325 ;
3326 return 0;
3327}
3316_ACEOF 3328_ACEOF
3317rm -f conftest.$ac_objext 3329rm -f conftest.$ac_objext
3318if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 3330if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3319 (eval $ac_compile) 2>conftest.er1 3331 (eval $ac_compile) 2>conftest.er1
3320 ac_status=$? 3332 ac_status=$?
7205 7217
7206 7218
7207 7219
7208 7220
7209 7221
7210
7211
7212
7213
7214
7215
7216
7217
7218
7219for ac_header in \ 7222for ac_header in \
7220 assert.h \ 7223 assert.h \
7221 fcntl.h \ 7224 fcntl.h \
7222 grp.h \
7223 libc.h \
7224 lastlog.h \
7225 stdarg.h \ 7225 stdarg.h \
7226 stdlib.h \ 7226 stdlib.h \
7227 string.h \ 7227 string.h \
7228 termios.h \ 7228 termios.h \
7229 unistd.h \ 7229 unistd.h \
7230 sys/byteorder.h \ 7230 sys/byteorder.h \
7231 sys/ioctl.h \ 7231 sys/ioctl.h \
7232 sys/select.h \ 7232 sys/select.h \
7233 sys/sockio.h \ 7233 sys/sockio.h \
7234 sys/strredir.h \ 7234 sys/strredir.h \
7235 sys/stropts.h \
7236 sys/time.h \ 7235 sys/time.h \
7237 utmp.h \ 7236 stdint.h \
7238 utmpx.h \ 7237 wchar.h \
7239 stdint.h \ 7238 cwchar \
7240 pty.h \ 7239 clocale \
7241 util.h \
7242 libutil.h \
7243 wchar.h \
7244 cwchar \
7245 clocale \
7246 7240
7247do 7241do
7248as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 7242as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
7249if eval "test \"\${$as_ac_Header+set}\" = set"; then 7243if eval "test \"\${$as_ac_Header+set}\" = set"; then
7250 echo "$as_me:$LINENO: checking for $ac_header" >&5 7244 echo "$as_me:$LINENO: checking for $ac_header" >&5
10084 10078
10085 10079
10086 10080
10087 10081
10088 10082
10089
10090
10091
10092
10093
10094
10095
10096
10097
10098
10099for ac_func in \ 10083for ac_func in \
10100 revoke \
10101 unsetenv \ 10084 unsetenv \
10102 setutent \ 10085 setutent \
10103 seteuid \ 10086 seteuid \
10104 setresuid \ 10087 setresuid \
10105 setreuid \ 10088 setreuid \
10106 _getpty \
10107 getpt \
10108 posix_openpt \
10109 grantpt \
10110 unlockpt \
10111 isastream \
10112 on_exit \ 10089 on_exit \
10113 nanosleep \ 10090 nanosleep \
10114 updwtmp \
10115 updwtmpx \
10116 ttyslot \
10117 10091
10118do 10092do
10119as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 10093as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
10120echo "$as_me:$LINENO: checking for $ac_func" >&5 10094echo "$as_me:$LINENO: checking for $ac_func" >&5
10121echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6 10095echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
10210 cat >>confdefs.h <<_ACEOF 10184 cat >>confdefs.h <<_ACEOF
10211#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1 10185#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
10212_ACEOF 10186_ACEOF
10213 10187
10214fi 10188fi
10189done
10190
10191
10192
10193
10194
10195
10196for ac_func in \
10197 ttyslot \
10198 updwtmp \
10199 updwtmpx \
10200
10201do
10202as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
10203echo "$as_me:$LINENO: checking for $ac_func" >&5
10204echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
10205if eval "test \"\${$as_ac_var+set}\" = set"; then
10206 echo $ECHO_N "(cached) $ECHO_C" >&6
10207else
10208 cat >conftest.$ac_ext <<_ACEOF
10209/* confdefs.h. */
10210_ACEOF
10211cat confdefs.h >>conftest.$ac_ext
10212cat >>conftest.$ac_ext <<_ACEOF
10213/* end confdefs.h. */
10214/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
10215 For example, HP-UX 11i <limits.h> declares gettimeofday. */
10216#define $ac_func innocuous_$ac_func
10217
10218/* System header to define __stub macros and hopefully few prototypes,
10219 which can conflict with char $ac_func (); below.
10220 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
10221 <limits.h> exists even on freestanding compilers. */
10222
10223#ifdef __STDC__
10224# include <limits.h>
10225#else
10226# include <assert.h>
10227#endif
10228
10229#undef $ac_func
10230
10231/* Override any gcc2 internal prototype to avoid an error. */
10232#ifdef __cplusplus
10233extern "C"
10234{
10235#endif
10236/* We use char because int might match the return type of a gcc2
10237 builtin and then its argument prototype would still apply. */
10238char $ac_func ();
10239/* The GNU C library defines this for functions which it implements
10240 to always fail with ENOSYS. Some functions are actually named
10241 something starting with __ and the normal name is an alias. */
10242#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
10243choke me
10244#else
10245char (*f) () = $ac_func;
10246#endif
10247#ifdef __cplusplus
10248}
10249#endif
10250
10251int
10252main ()
10253{
10254return f != $ac_func;
10255 ;
10256 return 0;
10257}
10258_ACEOF
10259rm -f conftest.$ac_objext conftest$ac_exeext
10260if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
10261 (eval $ac_link) 2>conftest.er1
10262 ac_status=$?
10263 grep -v '^ *+' conftest.er1 >conftest.err
10264 rm -f conftest.er1
10265 cat conftest.err >&5
10266 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10267 (exit $ac_status); } &&
10268 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10269 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10270 (eval $ac_try) 2>&5
10271 ac_status=$?
10272 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10273 (exit $ac_status); }; } &&
10274 { ac_try='test -s conftest$ac_exeext'
10275 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10276 (eval $ac_try) 2>&5
10277 ac_status=$?
10278 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10279 (exit $ac_status); }; }; then
10280 eval "$as_ac_var=yes"
10281else
10282 echo "$as_me: failed program was:" >&5
10283sed 's/^/| /' conftest.$ac_ext >&5
10284
10285eval "$as_ac_var=no"
10286fi
10287rm -f conftest.err conftest.$ac_objext \
10288 conftest$ac_exeext conftest.$ac_ext
10289fi
10290echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
10291echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
10292if test `eval echo '${'$as_ac_var'}'` = yes; then
10293 cat >>confdefs.h <<_ACEOF
10294#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
10295_ACEOF
10296
10297fi
10298done
10299
10300
10301
10302
10303
10304for ac_header in \
10305 utmp.h \
10306 utmpx.h \
10307 lastlog.h \
10308
10309do
10310as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
10311if eval "test \"\${$as_ac_Header+set}\" = set"; then
10312 echo "$as_me:$LINENO: checking for $ac_header" >&5
10313echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
10314if eval "test \"\${$as_ac_Header+set}\" = set"; then
10315 echo $ECHO_N "(cached) $ECHO_C" >&6
10316fi
10317echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
10318echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
10319else
10320 # Is the header compilable?
10321echo "$as_me:$LINENO: checking $ac_header usability" >&5
10322echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
10323cat >conftest.$ac_ext <<_ACEOF
10324/* confdefs.h. */
10325_ACEOF
10326cat confdefs.h >>conftest.$ac_ext
10327cat >>conftest.$ac_ext <<_ACEOF
10328/* end confdefs.h. */
10329$ac_includes_default
10330#include <$ac_header>
10331_ACEOF
10332rm -f conftest.$ac_objext
10333if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10334 (eval $ac_compile) 2>conftest.er1
10335 ac_status=$?
10336 grep -v '^ *+' conftest.er1 >conftest.err
10337 rm -f conftest.er1
10338 cat conftest.err >&5
10339 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10340 (exit $ac_status); } &&
10341 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10342 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10343 (eval $ac_try) 2>&5
10344 ac_status=$?
10345 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10346 (exit $ac_status); }; } &&
10347 { ac_try='test -s conftest.$ac_objext'
10348 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10349 (eval $ac_try) 2>&5
10350 ac_status=$?
10351 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10352 (exit $ac_status); }; }; then
10353 ac_header_compiler=yes
10354else
10355 echo "$as_me: failed program was:" >&5
10356sed 's/^/| /' conftest.$ac_ext >&5
10357
10358ac_header_compiler=no
10359fi
10360rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10361echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
10362echo "${ECHO_T}$ac_header_compiler" >&6
10363
10364# Is the header present?
10365echo "$as_me:$LINENO: checking $ac_header presence" >&5
10366echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
10367cat >conftest.$ac_ext <<_ACEOF
10368/* confdefs.h. */
10369_ACEOF
10370cat confdefs.h >>conftest.$ac_ext
10371cat >>conftest.$ac_ext <<_ACEOF
10372/* end confdefs.h. */
10373#include <$ac_header>
10374_ACEOF
10375if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
10376 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
10377 ac_status=$?
10378 grep -v '^ *+' conftest.er1 >conftest.err
10379 rm -f conftest.er1
10380 cat conftest.err >&5
10381 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10382 (exit $ac_status); } >/dev/null; then
10383 if test -s conftest.err; then
10384 ac_cpp_err=$ac_cxx_preproc_warn_flag
10385 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
10386 else
10387 ac_cpp_err=
10388 fi
10389else
10390 ac_cpp_err=yes
10391fi
10392if test -z "$ac_cpp_err"; then
10393 ac_header_preproc=yes
10394else
10395 echo "$as_me: failed program was:" >&5
10396sed 's/^/| /' conftest.$ac_ext >&5
10397
10398 ac_header_preproc=no
10399fi
10400rm -f conftest.err conftest.$ac_ext
10401echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
10402echo "${ECHO_T}$ac_header_preproc" >&6
10403
10404# So? What about this header?
10405case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
10406 yes:no: )
10407 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
10408echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
10409 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
10410echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
10411 ac_header_preproc=yes
10412 ;;
10413 no:yes:* )
10414 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
10415echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
10416 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
10417echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
10418 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
10419echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
10420 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
10421echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
10422 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
10423echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
10424 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
10425echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
10426 (
10427 cat <<\_ASBOX
10428## ------------------------------------------ ##
10429## Report this to the AC_PACKAGE_NAME lists. ##
10430## ------------------------------------------ ##
10431_ASBOX
10432 ) |
10433 sed "s/^/$as_me: WARNING: /" >&2
10434 ;;
10435esac
10436echo "$as_me:$LINENO: checking for $ac_header" >&5
10437echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
10438if eval "test \"\${$as_ac_Header+set}\" = set"; then
10439 echo $ECHO_N "(cached) $ECHO_C" >&6
10440else
10441 eval "$as_ac_Header=\$ac_header_preproc"
10442fi
10443echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
10444echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
10445
10446fi
10447if test `eval echo '${'$as_ac_Header'}'` = yes; then
10448 cat >>confdefs.h <<_ACEOF
10449#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
10450_ACEOF
10451
10452fi
10453
10215done 10454done
10216 10455
10217 10456
10218 10457
10219if test "${ac_cv_header_utmp_h+set}" = set; then 10458if test "${ac_cv_header_utmp_h+set}" = set; then
11473_ACEOF 11712_ACEOF
11474 11713
11475fi 11714fi
11476 11715
11477 11716
11717
11478echo "$as_me:$LINENO: checking where ttys/ttytab is located" >&5 11718echo "$as_me:$LINENO: checking where ttys/ttytab is located" >&5
11479echo $ECHO_N "checking where ttys/ttytab is located... $ECHO_C" >&6 11719echo $ECHO_N "checking where ttys/ttytab is located... $ECHO_C" >&6
11480if test "${rxvt_cv_path_ttytab+set}" = set; then 11720if test "${rxvt_cv_path_ttytab+set}" = set; then
11481 echo $ECHO_N "(cached) $ECHO_C" >&6 11721 echo $ECHO_N "(cached) $ECHO_C" >&6
11482else 11722else
11897#define XIMCB_PROTO_BROKEN 1 12137#define XIMCB_PROTO_BROKEN 1
11898_ACEOF 12138_ACEOF
11899 12139
11900fi 12140fi
11901 12141
11902if test x$ac_cv_func_getpt = xno -a x$ac_cv_func_posix_openpt = xno; then 12142
12143
12144
12145
12146
12147
12148for ac_header in \
12149 pty.h \
12150 util.h \
12151 libutil.h \
12152 sys/ioctl.h \
12153 sys/stropts.h \
12154
12155do
12156as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
12157if eval "test \"\${$as_ac_Header+set}\" = set"; then
11903 echo "$as_me:$LINENO: checking for openpty" >&5 12158 echo "$as_me:$LINENO: checking for $ac_header" >&5
11904echo $ECHO_N "checking for openpty... $ECHO_C" >&6 12159echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
11905if test "${ac_cv_func_openpty+set}" = set; then 12160if eval "test \"\${$as_ac_Header+set}\" = set"; then
11906 echo $ECHO_N "(cached) $ECHO_C" >&6 12161 echo $ECHO_N "(cached) $ECHO_C" >&6
12162fi
12163echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
12164echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
11907else 12165else
12166 # Is the header compilable?
12167echo "$as_me:$LINENO: checking $ac_header usability" >&5
12168echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
11908 cat >conftest.$ac_ext <<_ACEOF 12169cat >conftest.$ac_ext <<_ACEOF
11909/* confdefs.h. */ 12170/* confdefs.h. */
11910_ACEOF 12171_ACEOF
11911cat confdefs.h >>conftest.$ac_ext 12172cat confdefs.h >>conftest.$ac_ext
11912cat >>conftest.$ac_ext <<_ACEOF 12173cat >>conftest.$ac_ext <<_ACEOF
11913/* end confdefs.h. */ 12174/* end confdefs.h. */
12175$ac_includes_default
12176#include <$ac_header>
12177_ACEOF
12178rm -f conftest.$ac_objext
12179if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
12180 (eval $ac_compile) 2>conftest.er1
12181 ac_status=$?
12182 grep -v '^ *+' conftest.er1 >conftest.err
12183 rm -f conftest.er1
12184 cat conftest.err >&5
12185 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12186 (exit $ac_status); } &&
12187 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12188 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12189 (eval $ac_try) 2>&5
12190 ac_status=$?
12191 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12192 (exit $ac_status); }; } &&
12193 { ac_try='test -s conftest.$ac_objext'
12194 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12195 (eval $ac_try) 2>&5
12196 ac_status=$?
12197 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12198 (exit $ac_status); }; }; then
12199 ac_header_compiler=yes
12200else
12201 echo "$as_me: failed program was:" >&5
12202sed 's/^/| /' conftest.$ac_ext >&5
12203
12204ac_header_compiler=no
12205fi
12206rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
12207echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
12208echo "${ECHO_T}$ac_header_compiler" >&6
12209
12210# Is the header present?
12211echo "$as_me:$LINENO: checking $ac_header presence" >&5
12212echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
12213cat >conftest.$ac_ext <<_ACEOF
12214/* confdefs.h. */
12215_ACEOF
12216cat confdefs.h >>conftest.$ac_ext
12217cat >>conftest.$ac_ext <<_ACEOF
12218/* end confdefs.h. */
12219#include <$ac_header>
12220_ACEOF
12221if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
12222 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
12223 ac_status=$?
12224 grep -v '^ *+' conftest.er1 >conftest.err
12225 rm -f conftest.er1
12226 cat conftest.err >&5
12227 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12228 (exit $ac_status); } >/dev/null; then
12229 if test -s conftest.err; then
12230 ac_cpp_err=$ac_cxx_preproc_warn_flag
12231 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
12232 else
12233 ac_cpp_err=
12234 fi
12235else
12236 ac_cpp_err=yes
12237fi
12238if test -z "$ac_cpp_err"; then
12239 ac_header_preproc=yes
12240else
12241 echo "$as_me: failed program was:" >&5
12242sed 's/^/| /' conftest.$ac_ext >&5
12243
12244 ac_header_preproc=no
12245fi
12246rm -f conftest.err conftest.$ac_ext
12247echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
12248echo "${ECHO_T}$ac_header_preproc" >&6
12249
12250# So? What about this header?
12251case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
12252 yes:no: )
12253 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
12254echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
12255 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
12256echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
12257 ac_header_preproc=yes
12258 ;;
12259 no:yes:* )
12260 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
12261echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
12262 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
12263echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
12264 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
12265echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
12266 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
12267echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
12268 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
12269echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
12270 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
12271echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
12272 (
12273 cat <<\_ASBOX
12274## ------------------------------------------ ##
12275## Report this to the AC_PACKAGE_NAME lists. ##
12276## ------------------------------------------ ##
12277_ASBOX
12278 ) |
12279 sed "s/^/$as_me: WARNING: /" >&2
12280 ;;
12281esac
12282echo "$as_me:$LINENO: checking for $ac_header" >&5
12283echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
12284if eval "test \"\${$as_ac_Header+set}\" = set"; then
12285 echo $ECHO_N "(cached) $ECHO_C" >&6
12286else
12287 eval "$as_ac_Header=\$ac_header_preproc"
12288fi
12289echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
12290echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
12291
12292fi
12293if test `eval echo '${'$as_ac_Header'}'` = yes; then
12294 cat >>confdefs.h <<_ACEOF
12295#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
12296_ACEOF
12297
12298fi
12299
12300done
12301
12302
12303
12304
12305
12306
12307
12308for ac_func in \
12309 revoke \
12310 _getpty \
12311 getpt \
12312 posix_openpt \
12313 isastream \
12314
12315do
12316as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
12317echo "$as_me:$LINENO: checking for $ac_func" >&5
12318echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
12319if eval "test \"\${$as_ac_var+set}\" = set"; then
12320 echo $ECHO_N "(cached) $ECHO_C" >&6
12321else
12322 cat >conftest.$ac_ext <<_ACEOF
12323/* confdefs.h. */
12324_ACEOF
12325cat confdefs.h >>conftest.$ac_ext
12326cat >>conftest.$ac_ext <<_ACEOF
12327/* end confdefs.h. */
11914/* Define openpty to an innocuous variant, in case <limits.h> declares openpty. 12328/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
11915 For example, HP-UX 11i <limits.h> declares gettimeofday. */ 12329 For example, HP-UX 11i <limits.h> declares gettimeofday. */
11916#define openpty innocuous_openpty 12330#define $ac_func innocuous_$ac_func
11917 12331
11918/* System header to define __stub macros and hopefully few prototypes, 12332/* System header to define __stub macros and hopefully few prototypes,
11919 which can conflict with char openpty (); below. 12333 which can conflict with char $ac_func (); below.
11920 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 12334 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
11921 <limits.h> exists even on freestanding compilers. */ 12335 <limits.h> exists even on freestanding compilers. */
11922 12336
11923#ifdef __STDC__ 12337#ifdef __STDC__
11924# include <limits.h> 12338# include <limits.h>
11925#else 12339#else
11926# include <assert.h> 12340# include <assert.h>
11927#endif 12341#endif
11928 12342
11929#undef openpty 12343#undef $ac_func
11930 12344
11931/* Override any gcc2 internal prototype to avoid an error. */ 12345/* Override any gcc2 internal prototype to avoid an error. */
11932#ifdef __cplusplus 12346#ifdef __cplusplus
11933extern "C" 12347extern "C"
11934{ 12348{
11935#endif 12349#endif
11936/* We use char because int might match the return type of a gcc2 12350/* We use char because int might match the return type of a gcc2
11937 builtin and then its argument prototype would still apply. */ 12351 builtin and then its argument prototype would still apply. */
11938char openpty (); 12352char $ac_func ();
11939/* The GNU C library defines this for functions which it implements 12353/* The GNU C library defines this for functions which it implements
11940 to always fail with ENOSYS. Some functions are actually named 12354 to always fail with ENOSYS. Some functions are actually named
11941 something starting with __ and the normal name is an alias. */ 12355 something starting with __ and the normal name is an alias. */
11942#if defined (__stub_openpty) || defined (__stub___openpty) 12356#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
11943choke me 12357choke me
11944#else 12358#else
11945char (*f) () = openpty; 12359char (*f) () = $ac_func;
11946#endif 12360#endif
11947#ifdef __cplusplus 12361#ifdef __cplusplus
11948} 12362}
11949#endif 12363#endif
11950 12364
11951int 12365int
11952main () 12366main ()
11953{ 12367{
11954return f != openpty; 12368return f != $ac_func;
11955 ; 12369 ;
11956 return 0; 12370 return 0;
11957} 12371}
11958_ACEOF 12372_ACEOF
11959rm -f conftest.$ac_objext conftest$ac_exeext 12373rm -f conftest.$ac_objext conftest$ac_exeext
11975 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 12389 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11976 (eval $ac_try) 2>&5 12390 (eval $ac_try) 2>&5
11977 ac_status=$? 12391 ac_status=$?
11978 echo "$as_me:$LINENO: \$? = $ac_status" >&5 12392 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11979 (exit $ac_status); }; }; then 12393 (exit $ac_status); }; }; then
11980 ac_cv_func_openpty=yes 12394 eval "$as_ac_var=yes"
11981else 12395else
11982 echo "$as_me: failed program was:" >&5 12396 echo "$as_me: failed program was:" >&5
11983sed 's/^/| /' conftest.$ac_ext >&5 12397sed 's/^/| /' conftest.$ac_ext >&5
11984 12398
11985ac_cv_func_openpty=no 12399eval "$as_ac_var=no"
11986fi 12400fi
11987rm -f conftest.err conftest.$ac_objext \ 12401rm -f conftest.err conftest.$ac_objext \
11988 conftest$ac_exeext conftest.$ac_ext 12402 conftest$ac_exeext conftest.$ac_ext
11989fi 12403fi
12404echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
12405echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
12406if test `eval echo '${'$as_ac_var'}'` = yes; then
12407 cat >>confdefs.h <<_ACEOF
12408#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
12409_ACEOF
12410
12411fi
12412done
12413
12414
12415have_clone=no
12416
12417echo "$as_me:$LINENO: checking for /dev/ptym/clone" >&5
12418echo $ECHO_N "checking for /dev/ptym/clone... $ECHO_C" >&6
12419if test -e /dev/ptym/clone; then
12420 echo "$as_me:$LINENO: result: yes" >&5
12421echo "${ECHO_T}yes" >&6
12422
12423cat >>confdefs.h <<\_ACEOF
12424#define HAVE_DEV_CLONE 1
12425_ACEOF
12426
12427
12428cat >>confdefs.h <<\_ACEOF
12429#define CLONE_DEVICE "/dev/ptym/clone"
12430_ACEOF
12431
12432 have_clone=yes
12433else
12434 echo "$as_me:$LINENO: result: no" >&5
12435echo "${ECHO_T}no" >&6
12436fi
12437
12438echo "$as_me:$LINENO: checking for /dev/ptc" >&5
12439echo $ECHO_N "checking for /dev/ptc... $ECHO_C" >&6
12440if test -e /dev/ptc; then
12441 echo "$as_me:$LINENO: result: yes" >&5
12442echo "${ECHO_T}yes" >&6
12443
12444cat >>confdefs.h <<\_ACEOF
12445#define HAVE_DEV_PTC 1
12446_ACEOF
12447
12448
12449cat >>confdefs.h <<\_ACEOF
12450#define CLONE_DEVICE "/dev/ptc"
12451_ACEOF
12452
12453 have_clone=yes
12454else
12455 echo "$as_me:$LINENO: result: no" >&5
12456echo "${ECHO_T}no" >&6
12457fi
12458
12459case $host in
12460 *-*-cygwin*)
12461 have_clone=yes
12462
12463cat >>confdefs.h <<\_ACEOF
12464#define CLONE_DEVICE "/dev/ptmx"
12465_ACEOF
12466
12467 ;;
12468 *)
12469 echo "$as_me:$LINENO: checking for /dev/ptmx" >&5
12470echo $ECHO_N "checking for /dev/ptmx... $ECHO_C" >&6
12471 if test -e /dev/ptmx; then
12472 echo "$as_me:$LINENO: result: yes" >&5
12473echo "${ECHO_T}yes" >&6
12474
12475cat >>confdefs.h <<\_ACEOF
12476#define HAVE_DEV_PTMX 1
12477_ACEOF
12478
12479
12480cat >>confdefs.h <<\_ACEOF
12481#define CLONE_DEVICE "/dev/ptmx"
12482_ACEOF
12483
12484 have_clone=yes
12485 else
12486 echo "$as_me:$LINENO: result: no" >&5
12487echo "${ECHO_T}no" >&6
12488 fi
12489 ;;
12490esac
12491
12492if test x$ac_cv_func_getpt = xyes -o x$ac_cv_func_posix_openpt = xyes -o x$have_clone = xyes; then
12493 echo "$as_me:$LINENO: checking for UNIX98 ptys" >&5
12494echo $ECHO_N "checking for UNIX98 ptys... $ECHO_C" >&6
12495 cat >conftest.$ac_ext <<_ACEOF
12496/* confdefs.h. */
12497_ACEOF
12498cat confdefs.h >>conftest.$ac_ext
12499cat >>conftest.$ac_ext <<_ACEOF
12500/* end confdefs.h. */
12501#include <stdlib.h>
12502int
12503main ()
12504{
12505grantpt(0);unlockpt(0);ptsname(0);
12506 ;
12507 return 0;
12508}
12509_ACEOF
12510rm -f conftest.$ac_objext conftest$ac_exeext
12511if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12512 (eval $ac_link) 2>conftest.er1
12513 ac_status=$?
12514 grep -v '^ *+' conftest.er1 >conftest.err
12515 rm -f conftest.er1
12516 cat conftest.err >&5
12517 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12518 (exit $ac_status); } &&
12519 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12520 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12521 (eval $ac_try) 2>&5
12522 ac_status=$?
12523 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12524 (exit $ac_status); }; } &&
12525 { ac_try='test -s conftest$ac_exeext'
12526 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12527 (eval $ac_try) 2>&5
12528 ac_status=$?
12529 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12530 (exit $ac_status); }; }; then
12531 unix98_pty=yes
12532
12533cat >>confdefs.h <<\_ACEOF
12534#define UNIX98_PTY 1
12535_ACEOF
12536
12537 echo "$as_me:$LINENO: result: yes" >&5
12538echo "${ECHO_T}yes" >&6
12539else
12540 echo "$as_me: failed program was:" >&5
12541sed 's/^/| /' conftest.$ac_ext >&5
12542
11990echo "$as_me:$LINENO: result: $ac_cv_func_openpty" >&5 12543echo "$as_me:$LINENO: result: no" >&5
11991echo "${ECHO_T}$ac_cv_func_openpty" >&6 12544echo "${ECHO_T}no" >&6
11992if test $ac_cv_func_openpty = yes; then 12545fi
11993 : 12546rm -f conftest.err conftest.$ac_objext \
12547 conftest$ac_exeext conftest.$ac_ext
12548fi
12549
12550if test -z "$unix98_pty"; then
12551
12552for ac_func in openpty
12553do
12554as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
12555echo "$as_me:$LINENO: checking for $ac_func" >&5
12556echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
12557if eval "test \"\${$as_ac_var+set}\" = set"; then
12558 echo $ECHO_N "(cached) $ECHO_C" >&6
12559else
12560 cat >conftest.$ac_ext <<_ACEOF
12561/* confdefs.h. */
12562_ACEOF
12563cat confdefs.h >>conftest.$ac_ext
12564cat >>conftest.$ac_ext <<_ACEOF
12565/* end confdefs.h. */
12566/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
12567 For example, HP-UX 11i <limits.h> declares gettimeofday. */
12568#define $ac_func innocuous_$ac_func
12569
12570/* System header to define __stub macros and hopefully few prototypes,
12571 which can conflict with char $ac_func (); below.
12572 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
12573 <limits.h> exists even on freestanding compilers. */
12574
12575#ifdef __STDC__
12576# include <limits.h>
12577#else
12578# include <assert.h>
12579#endif
12580
12581#undef $ac_func
12582
12583/* Override any gcc2 internal prototype to avoid an error. */
12584#ifdef __cplusplus
12585extern "C"
12586{
12587#endif
12588/* We use char because int might match the return type of a gcc2
12589 builtin and then its argument prototype would still apply. */
12590char $ac_func ();
12591/* The GNU C library defines this for functions which it implements
12592 to always fail with ENOSYS. Some functions are actually named
12593 something starting with __ and the normal name is an alias. */
12594#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
12595choke me
12596#else
12597char (*f) () = $ac_func;
12598#endif
12599#ifdef __cplusplus
12600}
12601#endif
12602
12603int
12604main ()
12605{
12606return f != $ac_func;
12607 ;
12608 return 0;
12609}
12610_ACEOF
12611rm -f conftest.$ac_objext conftest$ac_exeext
12612if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12613 (eval $ac_link) 2>conftest.er1
12614 ac_status=$?
12615 grep -v '^ *+' conftest.er1 >conftest.err
12616 rm -f conftest.er1
12617 cat conftest.err >&5
12618 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12619 (exit $ac_status); } &&
12620 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12621 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12622 (eval $ac_try) 2>&5
12623 ac_status=$?
12624 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12625 (exit $ac_status); }; } &&
12626 { ac_try='test -s conftest$ac_exeext'
12627 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12628 (eval $ac_try) 2>&5
12629 ac_status=$?
12630 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12631 (exit $ac_status); }; }; then
12632 eval "$as_ac_var=yes"
12633else
12634 echo "$as_me: failed program was:" >&5
12635sed 's/^/| /' conftest.$ac_ext >&5
12636
12637eval "$as_ac_var=no"
12638fi
12639rm -f conftest.err conftest.$ac_objext \
12640 conftest$ac_exeext conftest.$ac_ext
12641fi
12642echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
12643echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
12644if test `eval echo '${'$as_ac_var'}'` = yes; then
12645 cat >>confdefs.h <<_ACEOF
12646#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
12647_ACEOF
12648
11994else 12649else
11995 echo "$as_me:$LINENO: checking for openpty in -lutil" >&5 12650 echo "$as_me:$LINENO: checking for openpty in -lutil" >&5
11996echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6 12651echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
11997if test "${ac_cv_lib_util_openpty+set}" = set; then 12652if test "${ac_cv_lib_util_openpty+set}" = set; then
11998 echo $ECHO_N "(cached) $ECHO_C" >&6 12653 echo $ECHO_N "(cached) $ECHO_C" >&6
12054LIBS=$ac_check_lib_save_LIBS 12709LIBS=$ac_check_lib_save_LIBS
12055fi 12710fi
12056echo "$as_me:$LINENO: result: $ac_cv_lib_util_openpty" >&5 12711echo "$as_me:$LINENO: result: $ac_cv_lib_util_openpty" >&5
12057echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6 12712echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
12058if test $ac_cv_lib_util_openpty = yes; then 12713if test $ac_cv_lib_util_openpty = yes; then
12714 cat >>confdefs.h <<\_ACEOF
12715#define HAVE_OPENPTY 1
12716_ACEOF
12059 LIBS="$LIBS -lutil" 12717 LIBS="$LIBS -lutil"
12060fi 12718fi
12061 12719
12062fi 12720fi
12721done
12063 12722
12064fi 12723fi
12065 12724
12066echo "$as_me:$LINENO: checking for pty/tty type" >&5
12067echo $ECHO_N "checking for pty/tty type... $ECHO_C" >&6
12068if test "${rxvt_cv_ptys+set}" = set; then
12069 echo $ECHO_N "(cached) $ECHO_C" >&6
12070else
12071 if test x$ac_cv_func_openpty = xyes -o x$ac_cv_lib_util_openpty = xyes; then
12072 rxvt_cv_ptys=OPENPTY
12073 else if test x$ac_cv_func_getpt = xyes; then
12074 rxvt_cv_ptys=GLIBC
12075 else if test x$ac_cv_func_posix_openpt = xyes; then
12076 rxvt_cv_ptys=POSIX
12077 else if test x$ac_cv_func__getpty = xyes; then
12078 rxvt_cv_ptys=SGI4
12079 else if test -c /dev/ttyp20; then
12080 rxvt_cv_ptys=SCO
12081 else if test -c /dev/ptym/clone; then
12082 rxvt_cv_ptys=HPUX
12083 else if test -c /dev/ptc -a -c /dev/pts; then
12084 rxvt_cv_ptys=PTC
12085 else if test -c /dev/ptc -a -d /dev/pts; then
12086 rxvt_cv_ptys=PTC
12087 else if test -c /dev/ptmx -a -c /dev/pts/0; then
12088 rxvt_cv_ptys=STREAMS
12089 else if test x$ac_cv_func_grantpt = xyes && test x$ac_cv_func_unlockpt = xyes; then
12090 rxvt_cv_ptys=STREAMS
12091 else
12092 rxvt_cv_ptys=BSD
12093fi
12094fi
12095fi
12096fi
12097fi
12098fi
12099fi
12100fi
12101fi
12102fi
12103
12104fi
12105echo "$as_me:$LINENO: result: $rxvt_cv_ptys" >&5
12106echo "${ECHO_T}$rxvt_cv_ptys" >&6
12107
12108if test x$rxvt_cv_ptys = xGLIBC; then
12109
12110cat >>confdefs.h <<\_ACEOF
12111#define PTYS_ARE_GETPT 1
12112_ACEOF
12113
12114fi
12115if test x$rxvt_cv_ptys = xPOSIX; then
12116
12117cat >>confdefs.h <<\_ACEOF
12118#define PTYS_ARE_POSIX 1
12119_ACEOF
12120
12121fi
12122if test x$rxvt_cv_ptys = xOPENPTY; then
12123
12124cat >>confdefs.h <<\_ACEOF
12125#define PTYS_ARE_OPENPTY 1
12126_ACEOF
12127
12128fi
12129if test x$rxvt_cv_ptys = xSCO; then
12130
12131cat >>confdefs.h <<\_ACEOF
12132#define PTYS_ARE_NUMERIC 1
12133_ACEOF
12134
12135fi
12136if test x$rxvt_cv_ptys = xSTREAMS; then
12137
12138cat >>confdefs.h <<\_ACEOF
12139#define PTYS_ARE_PTMX 1
12140_ACEOF
12141
12142fi
12143if test x$rxvt_cv_ptys = xPTC; then
12144
12145cat >>confdefs.h <<\_ACEOF
12146#define PTYS_ARE_PTC 1
12147_ACEOF
12148
12149fi
12150if test x$rxvt_cv_ptys = xSGI4; then
12151
12152cat >>confdefs.h <<\_ACEOF
12153#define PTYS_ARE__GETPTY 1
12154_ACEOF
12155
12156fi
12157if test x$rxvt_cv_ptys = xHPUX; then
12158
12159cat >>confdefs.h <<\_ACEOF
12160#define PTYS_ARE_CLONE 1
12161_ACEOF
12162
12163fi
12164if test x$rxvt_cv_ptys = xBSD -o x$rxvt_cv_ptys = xHPUX -o x$rxvt_cv_ptys = xPOSIX; then
12165
12166cat >>confdefs.h <<\_ACEOF
12167#define PTYS_ARE_SEARCHED 1
12168_ACEOF
12169
12170fi
12171
12172
12173{ echo "$as_me:$LINENO: checking for pty ranges..." >&5
12174echo "$as_me: checking for pty ranges..." >&6;}
12175ptys=`echo /dev/pty??`
12176pch1=`echo $ptys | tr ' ' '\012' | sed -e 's/^.*\(.\).$/\1/g' | sort -u | tr -d '\012'`
12177pch2=`echo $ptys | tr ' ' '\012' | sed -e 's/^.*\(.\)$/\1/g' | sort -u | tr -d '\012'`
12178if test x$pch1 != x; then
12179
12180cat >>confdefs.h <<_ACEOF
12181#define PTYCHAR1 "$pch1"
12182_ACEOF
12183
12184fi
12185if test x$pch2 != x; then
12186
12187cat >>confdefs.h <<_ACEOF
12188#define PTYCHAR2 "$pch2"
12189_ACEOF
12190
12191fi
12192 12725
12193if test x$support_xft = xyes; then 12726if test x$support_xft = xyes; then
12194 LIBS="$LIBS `pkg-config xft --libs`" 12727 LIBS="$LIBS `pkg-config xft --libs`"
12195 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`" 12728 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`"
12196 12729
14147fi 14680fi
14148 14681
14149echo " 14682echo "
14150The following are set in config.h 14683The following are set in config.h
14151" 14684"
14152echo " pty/tty type: "$rxvt_cv_ptys
14153if test x$support_utmp != xyes; then 14685if test x$support_utmp != xyes; then
14154 echo " utmp support: disabled" 14686 echo " utmp support: disabled"
14155 echo 14687 echo
14156else 14688else
14157 echo " utmp support: enabled 14689 echo " utmp support: enabled
14174echo " resource class: $RESCLASS" 14706echo " resource class: $RESCLASS"
14175if test x$RESFALLBACK != x; then 14707if test x$RESFALLBACK != x; then
14176 echo " resource class fallback: $RESFALLBACK" 14708 echo " resource class fallback: $RESFALLBACK"
14177fi 14709fi
14178echo 14710echo
14179if test x$rxvt_cv_ptys = xUNKNOWN; then
14180 echo ".----------------------------------------------------------------."
14181 echo ". WARNING: could not determine pty/tty type. Do not build until ."
14182 echo ". the appropriate PTYS_ARE_* is defined in config.h ."
14183 echo ".----------------------------------------------------------------."
14184fi
14185if test x$support_xpm = xneedsmanualspecification; then 14711if test x$support_xpm = xneedsmanualspecification; then
14186 echo ".----------------------------------------------------------------." 14712 echo ".----------------------------------------------------------------."
14187 echo ". WARNING: --enable-xpm-background was specified however the ." 14713 echo ". WARNING: --enable-xpm-background was specified however the ."
14188 echo ". XPM includes files and libraries could not be found. ." 14714 echo ". XPM includes files and libraries could not be found. ."
14189 echo ". XPM backgrounds are now being DISABLED! If you want ." 14715 echo ". XPM backgrounds are now being DISABLED! If you want ."

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines